<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>CustomUserDetails.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.service</a> &gt; <span class="el_source">CustomUserDetails.java</span></div><h1>CustomUserDetails.java</h1><pre class="source lang-java linenums">package com.example.demo.service;

import java.util.Collection;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

import com.example.demo.model.User;

@SuppressWarnings(&quot;serial&quot;)
public class CustomUserDetails implements UserDetails {
	private User user;
    
<span class="nc" id="L14">    public CustomUserDetails(User user) {</span>
<span class="nc" id="L15">        this.user = user;</span>
<span class="nc" id="L16">    }</span>

	@Override
	public Collection&lt;? extends GrantedAuthority&gt; getAuthorities() {
		
<span class="nc" id="L21">		return null;</span>
	}

	@Override
	public String getPassword() {
		// TODO Auto-generated method stub
<span class="nc" id="L27">		return user.getPassword();</span>
	}

	@Override
	public String getUsername() {
		// TODO Auto-generated method stub
<span class="nc" id="L33">		return user.getEmail();</span>
	}

	@Override
	public boolean isAccountNonExpired() {
		// TODO Auto-generated method stub
<span class="nc" id="L39">		return true;</span>
	}

	@Override
	public boolean isAccountNonLocked() {
		// TODO Auto-generated method stub
<span class="nc" id="L45">		return true;</span>
	}

	@Override
	public boolean isCredentialsNonExpired() {
		// TODO Auto-generated method stub
<span class="nc" id="L51">		return true;</span>
	}

	@Override
	public boolean isEnabled() {
		// TODO Auto-generated method stub
<span class="nc" id="L57">		return true;</span>
	}
 
	
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>